Bug 17158 - Setting innerHTML in a detached XHTML element doesn't use the right namespace
Summary: Setting innerHTML in a detached XHTML element doesn't use the right namespace
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Major
Assignee: Alexey Proskuryakov
URL: http://www.digicow.net/disctopia/
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-02 14:58 PST by nicholas Buenk
Modified: 2019-02-06 09:03 PST (History)
3 users (show)

See Also:


Attachments
proposed fix (3.55 KB, patch)
2008-02-04 02:59 PST, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nicholas Buenk 2008-02-02 14:58:11 PST
Click on the arrows, text is broken up into multiple lines.
Comment 1 mitz 2008-02-02 17:15:26 PST
The document creates TR and TD elements in the null namespace. See bug 8007.
Comment 2 Alexey Proskuryakov 2008-02-04 02:20:05 PST
This is a problem not just with this site, but with Prototype.js in general.
Comment 3 Alexey Proskuryakov 2008-02-04 02:59:06 PST
Created attachment 18901 [details]
proposed fix
Comment 4 Darin Adler 2008-02-05 11:37:50 PST
Comment on attachment 18901 [details]
proposed fix

r=me
Comment 5 Alexey Proskuryakov 2008-02-05 11:56:16 PST
Committed revision 30013.

Comment 6 Lucas Forschler 2019-02-06 09:03:17 PST
Mass moving XML DOM bugs to the "DOM" Component.